Qyra
ReferenceOrganizations

Create organization design

Create a new organization design. Starts empty — upload files separately.

POST/api/v1/org/designs

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Request body

{
  "description": "string",
  "name": "string"
}

Responses

201 — Created

{
  "results": {
    "files": [
      {
        "createdAt": "2024-01-01T00:00:00.000Z",
        "sizeBytes": 0,
        "contentType": "string",
        "filename": "string",
        "kind": "instruction",
        "fileUuid": "string"
      }
    ],
    "createdByUserUuid": "string",
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "isDefault": true,
    "extraInstructions": "string",
    "description": "string",
    "name": "string",
    "slug": "string",
    "organizationUuid": "string",
    "designUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}